freeradius-utils_2.2.8+dfsg-0.1ubuntu0.1_amd64.deb


Advertisement

Description

freeradius-utils - FreeRADIUS client utilities

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package filename freeradius-utils_2.2.8+dfsg-0.1ubuntu0.1_amd64.deb
Package name freeradius-utils
Package version 2.2.8+dfsg
Package release 0.1ubuntu0.1
Package architecture amd64
Package type deb
Category net
Homepage http://www.freeradius.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 56.12 KB
Installed size 235.00 KB
This package contains various client programs and utilities from
the FreeRADIUS Server project, including:
- radclient
- radeapclient
- radlast
- radsniff
- radsqlrelay
- radtest
- radwho
- radzap
- rlm_dbm_cat
- rlm_dbm_parser
- rlm_ippool_tool
- smbencrypt

Alternatives

Package Version Architecture Repository
freeradius-utils_2.2.8+dfsg-0.1ubuntu0.1_i386.deb 2.2.8+dfsg i386 Ubuntu Updates Main
freeradius-utils_2.2.8+dfsg-0.1build2_i386.deb 2.2.8+dfsg i386 Ubuntu Main
freeradius-utils_2.2.8+dfsg-0.1build2_amd64.deb 2.2.8+dfsg amd64 Ubuntu Main
freeradius-utils - - -

Requires

Name Value
freeradius-common -
libc6 >= 2.15
libfreeradius2 = 2.2.8+dfsg-0.1ubuntu0.1
libgdbm3 >= 1.8.3
libpcap0.8 >= 0.9.8

Conflicts

Name Value
radiusd-livingston -
yardradius -

Replaces

Name Value
freeradius << 2.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package freeradius-utils_2.2.8+dfsg-0.1ubuntu0.1_amd64.deb
Source Package freeradius

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install freeradius-utils deb package:
    # sudo apt-get install freeradius-utils

Files

Path
/usr/bin/radclient
/usr/bin/radeapclient
/usr/bin/radlast
/usr/bin/radsniff
/usr/bin/radsqlrelay
/usr/bin/radtest
/usr/bin/radwho
/usr/bin/radzap
/usr/bin/rlm_dbm_cat
/usr/bin/rlm_dbm_parser
/usr/bin/rlm_ippool_tool
/usr/bin/smbencrypt
/usr/share/doc/freeradius-utils/changelog.Debian.gz
/usr/share/doc/freeradius-utils/copyright
/usr/share/lintian/overrides/freeradius-utils

Changelog

2017-07-26 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
freeradius (2.2.8+dfsg-0.1ubuntu0.1) xenial-security; urgency=medium
* SECURITY UPDATE: read/write overflow in make_secret()
- debian/patches/CVE-2017-10978.patch: check lengths in
src/lib/radius.c.
- CVE-2017-10978
* SECURITY UPDATE: write overflow in rad_coalesce
- debian/patches/CVE-2017-10979.patch: check for long attributes in
src/lib/dhcp.c, src/lib/radius.c.
- CVE-2017-10979
* SECURITY UPDATE: memory leak in decode_tlv()
- debian/patches/CVE-2017-10980.patch: fix memory leak in
src/lib/dhcp.c.
- CVE-2017-10980
* SECURITY UPDATE: memory leak in fr_dhcp_decode()
- debian/patches/CVE-2017-10981.patch: fix another memory leak in
src/lib/dhcp.c.
- CVE-2017-10981
* SECURITY UPDATE: read overflow in fr_dhcp_decode_options()
- debian/patches/CVE-2017-10982.patch: check for long options in
src/lib/dhcp.c.
- CVE-2017-10982
* SECURITY UPDATE: read overflow when decoding option 63
- debian/patches/CVE-2017-10983.patch: decode correct option in
src/lib/dhcp.c.
- CVE-2017-10983
2016-04-05 - Robie Basak <robie.basak@ubuntu.com>
freeradius (2.2.8+dfsg-0.1build2) xenial; urgency=medium
* Rebuild against libmysqlclient20.
2015-12-18 - Colin Watson <cjwatson@ubuntu.com>
freeradius (2.2.8+dfsg-0.1build1) xenial; urgency=medium
* Rebuild for Perl 5.22.1.
2015-09-14 - Sam Hartman <hartmans@debian.org>
freeradius (2.2.8+dfsg-0.1) unstable; urgency=medium
* Non-maintainer Upload
* New Upstream version
* Add myself to uploaders
* Include ubuntu multiarch python patch
* Include ubuntu autotests (Thanks probably to
yolanda.robla@canonical.com, marc.deslauriers@ubuntu.com)
* New standards version; no changes
2014-10-23 - Sam Hartman <hartmans@debian.org>
freeradius (2.2.5+dfsg-0.2) unstable; urgency=high
* Disable OpenSSL version check; Debian will maintain ABI stability or
change the soname, Closes: #765871
* Non-Maintainer Upload
2014-09-30 - Sam Hartman <hartmans@debian.org>
freeradius (2.2.5+dfsg-0.1) unstable; urgency=medium
* Non-maintainer Upload
* Remove remnants of freeradius-dilaupadmin, Closes: #669741
* Permit creating freerad to fail because user might exist, Closes: #661915
* Update to standards version 3.9.5, no changes
* New upstream version, Closes: #740857, #691770
- Include dictionary.mikrotik, Closes: #672200
2014-03-12 - Sam Hartman <hartmans@debian.org>
freeradius (2.1.12+dfsg-1.3) unstable; urgency=low
* Non-maintainer upload.
* Remove freeradius-dialupadmin, Closes: #711486. I understand there's a
patch in the bug that could get this working.
However, it's been removed upstream for 3.x, my hope is to package
3.0.2 soon, and a PHP script that copies all the get/post data
into globals so as to administer an authentication server is more
scary than I choose to contemplate. 
* Add IODBC include directories, Thanks Maximiliano Curia
, Closes: #740060
2012-12-16 - Kees Cook <kees@debian.org>
freeradius (2.1.12+dfsg-1.2) unstable; urgency=high
* Non-maintainer upload.
* Fix expired passwords when using the unix module (CVE-2011-4966,
Closes: #694407).
2012-09-11 - Nico Golde <nion@debian.org>
freeradius (2.1.12+dfsg-1.1) unstable; urgency=high
* Non-maintainer upload by the Security Team.
* Fix pre-authentication buffer overflow in EAP handling
(CVE-2012-3547; Closes: #687175, #687178).

See Also

Package Description
freeradius_2.2.8+dfsg-0.1ubuntu0.1_amd64.deb high-performance and highly configurable RADIUS server
freerdp-x11_1.1.0~git20140921.1.440916e+dfsg1-5ubuntu1.3_amd64.deb RDP client for Windows Terminal Services (X11 client)
friendly-recovery_0.2.31ubuntu2.1_all.deb Make recovery more user-friendly
fuse_2.9.4-1ubuntu3.1_amd64.deb Filesystem in Userspace
fwupd_0.8.3-0ubuntu5_amd64.deb Firmware update daemon
fwupdate-signed_1.11.3+0.5-2ubuntu7_amd64.deb Linux Firmware Updater EFI signed binary
fwupdate_0.5-2ubuntu7_amd64.deb Tools to manage UEFI firmware updates
g++-5-aarch64-linux-gnu_5.4.0-6ubuntu1~16.04.9cross1_amd64.deb GNU C++ compiler
g++-5-arm-linux-gnueabihf_5.4.0-6ubuntu1~16.04.9cross1_amd64.deb GNU C++ compiler
g++-5-multilib_5.4.0-6ubuntu1~16.04.12_amd64.deb GNU C++ compiler (multilib support)
g++-5-powerpc-linux-gnu_5.4.0-6ubuntu1~16.04.9cross1_amd64.deb GNU C++ compiler
g++-5-powerpc64le-linux-gnu_5.4.0-6ubuntu1~16.04.9cross1_amd64.deb GNU C++ compiler
g++-5_5.4.0-6ubuntu1~16.04.12_amd64.deb GNU C++ compiler
gcc-5-aarch64-linux-gnu-base_5.4.0-6ubuntu1~16.04.9cross1_amd64.deb GCC, the GNU Compiler Collection (base package)
gcc-5-aarch64-linux-gnu_5.4.0-6ubuntu1~16.04.9cross1_amd64.deb GNU C compiler
Advertisement
Advertisement